Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class DocumentNumberAllocator

    java.lang.Object
      net.sf.saxon.om.DocumentNumberAllocator

All Implemented Interfaces:
  java.io.Serializable

    public class DocumentNumberAllocator

extends java.lang.Object
implements java.io.Serializable

This class (which has one instance per Configuration) is used to allocate unique document numbers. It's a separate class so that it can act as a monitor for synchronization

See Also:
  Serialized Form

Constructor Summary
`DocumentNumberAllocator()`

Method Summary
`int` | `allocateDocumentNumber()` Allocate a unique document number

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentNumberAllocator

    public DocumentNumberAllocator()

Method Detail

### allocateDocumentNumber

    public int allocateDocumentNumber()

  Allocate a unique document number

  Returns:
    a unique document number

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.